Exemplo n.º 1
0
 static void RhinoDoc_ModifyObjectAttributes(object sender, Rhino.DocObjects.RhinoModifyObjectAttributesEventArgs e)
 {
     if (e.Document == ActiveDocument)
     {
         Revit.RefreshActiveView();
     }
 }
Exemplo n.º 2
0
        public static void attributes(Rhino.DocObjects.RhinoModifyObjectAttributesEventArgs ea)
        {
            //Translate attributes.

            //Tranformation codes:
            //1     layer
            //2     color
            //4     stroke weight
            //8     x
            //16    x
            //
            //Ex: attDeltaCode = 3 means layer and color were updated

            //Track what attributes just changed.
            int attDeltaCode = 0;

            if (ea.NewAttributes.LayerIndex != ea.OldAttributes.LayerIndex)
            {
                attDeltaCode = attDeltaCode + 1;
            }

            if (ea.NewAttributes.ObjectColor != ea.OldAttributes.ObjectColor)
            {
                attDeltaCode = attDeltaCode + 2;
            }

            if (ea.NewAttributes.PlotWeight != ea.OldAttributes.PlotWeight)
            {
                attDeltaCode = attDeltaCode + 4;
            }

            //utils.debug.alert(Convert.ToString(attDeltaCode, 2));
        }
Exemplo n.º 3
0
 /// <summary>
 /// Called when an object's attributes have been modified
 /// </summary>
 void OnModifyObjectAttributes(object sender, Rhino.DocObjects.RhinoModifyObjectAttributesEventArgs e)
 {
     RhinoApp.WriteLine("atts");
     DebugWriteMethod();
 }
 /// <summary>
 /// Called when an object's attributes have been modified
 /// </summary>
 public static void OnModifyObjectAttributes(object sender, Rhino.DocObjects.RhinoModifyObjectAttributesEventArgs e)
 {
     DebugWriteMethod();
 }
 /// <summary>
 /// Called when an object's attributes have been modified
 /// </summary>
 void OnModifyObjectAttributes(object sender, Rhino.DocObjects.RhinoModifyObjectAttributesEventArgs e)
 {
     RhinoApp.WriteLine("** EVENT: Modify Object Attributes **");
 }